Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 10162

Description

This ticket derives from #3929, where after fixing that problem, another appeared.

Qgis is unable to view WMS data from 

http://www.nztopoonline.linz.govt.nz/wmsconnector/com.esri.wms.Esrimap?ServiceName=nztopo_wms&

The problem appears to be with the wms server sending inconsistent srs and bounding box information in response to a

[[GetCapabilities]] request (the boundingbox values, which should be in lat/long, are in some other coordinate system). However, since

mapserver appears to work fine (see one of the comments in #3929), there may be a way to work around the problem with nztopo.

The  WMS getcapabilities request is:

http://www.nztopoonline.linz.govt.nz/wmsconnector/com.esri.wms.Esrimap?ServiceName=nztopo_wms&Service=wms&request=

GetCapabilities

A portion from the rely to that request is:

<Layer queryable="1">

<Name>182</Name>

<Title>DEM (15m)</Title>

<SRS>EPSG:4326</SRS>

<LatLonBoundingBox minx="1970006.456038" miny="5290004.86525579" maxx="3010006.19505419"

maxy="6790036.81876791"/>

<ScaleHint min="3.74121581576496" max="28.059118618237267"/>

</Layer>

Note the [[LatLonBoundingBox]] attribute with min and max values that are clearly not latitude/longitudes.

History

#1 - 2006-07-14 01:43 AM - Gavin Macaulay -

The problem in this ticket is with the response from the nztopo-online server, not qgis. I'm removing the Milestone tag from it as the solution is beyond the

control of qgis, but leaving the ticket open to serve as a note of a problem that needs to be resolved somehow.
#2 - 2007-07-28 04:05 PM - Gavin Macaulay -

- Resolution set to wontfix

- Status changed from Open to Closed

The NZ topo service is no longer available, hence this problem has gone away:)

#3 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
